#
# Borland C++ IDE generated makefile
#
.AUTODEPEND


#
# Borland C++ tools
#

BCCDOS  = Bcc +BccDos.cfg
TLINK   = TLink
TLIB    = TLib
TASM    = Tasm
#
# IDE macros
#
#
# External tools
#

LOCATE_BIN_PATH = C:\TOOLS\LOCATE
LOCATE_ROMLIBS_PATH = C:\TOOLS\LOCATE\BCPP45\ROMLIBS
BC45_INCLUDE_PATH = D:\BC45\INCLUDE


#
# Options
#

INCLDEF=-I$(BC45_INCLUDE_PATH) -DCPU_CLK_SPEED_MHZ=20
LINKDEF= -n -L$(LOCATE_ROMLIBS_PATH) -Gm -c -Tde -C -s

radioapi_options=-DIMAX
def_mib_options= -zEMIB_SEG -zHMIB -zFDFLT_MIB_SPACE
synthszr_options=
radio_asm_options=

#
# Dependency List
#


Dep_aps_fw = aps_fwi.rom


aps_fwi.bin : $(Dep_aps_fw)
 $(LOCATE_BIN_PATH)\locate -DHASFARDATA -caps_fw.rt aps_fwi



#aps_fw.rom : BccDos.cfg $(Dep_aps_fw)
#  echo MakeNode

Dep_APSTA = \
   bcpp45.obj\
   fardata.obj\
   pcmciaat.obj\
   synthszr.obj\
   radioapi.obj\
   api_asm.obj\
   def_mib.obj\
   types.obj\
   globals.obj\
   crc_tabl.obj\
   hop_tabl.obj\
   phy.obj\
   main_01.obj\
   backoff.obj\
   queues.obj\
   phy_tx.obj\
   phy_rx.obj\
   phy_mgmt.obj\
   init_mib.obj\
   host_rx.obj\
   cmd_intf.obj\
   host_tx.obj\
   mac_mgmt.obj\
   sys_time.obj\
   hardware.obj\
   bcpprtl.obj\
   banner.obj\

aps_fwi.rom : $(Dep_APSTA)
 $(TLINK) @&&|
 $(LINKDEF) -s +
$(Dep_APSTA)
$<,$*
$(LOCATE_ROMLIBS_PATH)\remu.lib+
$(LOCATE_ROMLIBS_PATH)\rmathm.lib+
$(LOCATE_ROMLIBS_PATH)\noehm.lib+
$(LOCATE_ROMLIBS_PATH)\rcm.lib

|



synthszr.obj : synthszr.cpp
  $(BCCDOS) -c @&&|
 $(synthszr_options) $(INCLDEF) -o$@ synthszr.cpp
|

radioapi.obj :  radioapi.cpp
  $(BCCDOS) -c @&&|
 $(radioapi_options) $(INCLDEF) -o$@ radioapi.cpp
|

def_mib.obj :  def_mib.cpp
  $(BCCDOS) -c @&&|
 $(def_mib_options) $(INCLDEF) -o$@ def_mib.cpp
|

api_asm.obj :  api_asm.asm
  $(TASM) /i /mx api_asm.asm


# Compiler configuration file
BccDos.cfg :
   Copy &&|
-W-
-R
-v
-vi
-H
-O-d
-O
-Ob
-Oe
-Og
-Oi
-Ol
-Om
-Ot
-Op
-Ov
-k-
-Z
-R-
-O-d
-H-
-x-
-xd-
-RT-
-1
-Og
-Ot
-O-a
-Z
-O
-Oe
-Ol
-Om
-Op
-Oi
-Ov
-Ob
-b-
-d
-po
-ff-
-k-
-vi
-dc
-h-
-Va-
-Vc-
-wrch
-w-inl
-waus
-wpar
-wcln
-wsig
-wucp
-wbbf
-wpin
-wnak
-wpre
-wdef
-wnod
-wamb
-wuse
-wstv
-wasm
-wamp
-wobs
-wpch
-Ff=128
-y-
-v-
-mm
-f-
| $@


